button,
.wp-block-button > a,
input,
textarea {
  border-radius: var(--border-radius-buttons);
  border-width: 1px;
  border-style: solid;
  border-color: rgba(0, 0, 0, 0.2);
  border-top-color: rgba(0, 0, 0, 0.4);
  border-left-color: rgba(0, 0, 0, 0.4);
  line-height: 2rem;
  padding: 0 calc(var(--spacing-horizontal) / 2);
}

.wp-block-button > a,
button {
  cursor: pointer;
  border-color: rgba(0, 0, 0, 0.2);
  border-top-color: rgba(0, 0, 0, 0.1);
  border-left-color: rgba(0, 0, 0, 0.1);
  background: var(--color-complimentary);
  font-weight: bolder;
  min-width: 10rem;
  margin-left: auto;
  order: 99;
  color: var(--color-complimentary-text);
}

h2 ~ input,
textarea,
button,
.wp-block-button > a {
  margin-top: var(--spacing-vertical);
  font-family: var(--font-family);
  font-size: 1rem;
}

textarea {
  padding: calc(var(--spacing-horizontal) / 2);
  line-height: calc(1rem * 1.5);
  min-height: 12rem;
}

article form h2 {
  margin: 0;
}

article form.cta {
  background: var(--color-blue-light);
  padding: calc(var(--spacing-vertical) * 2);
  max-width: calc(var(--width-max-section) - (var(--spacing-horizontal) * 6));
  margin-left: auto;
  margin-right: auto;
}

form.lmnhq-sendinblue-contact-form.cta {
  background-image: url("data:image/svg+xml;base64,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");
  background-size: cover;
}

form.lmnhq-sendinblue-contact-form.cta h2 {
  color: var(--color-white);
  padding-left: 0;
  padding-right: 0;
}

form.lmnhq-sendinblue-contact-form input {
  margin-top: var(--spacing-vertical);
}

@media (min-width: 45rem) {
  article form div {
    justify-content: space-between;
  }

  article form.small div:first-child {
    max-width: calc(var(--width-max-section) / 2);
  }

  article form.medium div:first-child {
    max-width: calc((var(--width-max-section) / 3) * 2);
  }

  article form div > input {
    /* Spacing between fields + (horizontal field padding x 2) + (horizontal field border x 2)  */
    flex-basis: calc((100% - (var(--spacing-horizontal) * 3) - 4px) / 2);
    /* max-width because otherwise the calculation fails when the form is nested inside a column? */
    max-width: calc((100% - (var(--spacing-horizontal) * 3) - 4px) / 2);
  }

  form.lmnhq-sendinblue-contact-form input {
    margin-top: 0;
  }
}

.loading:before {
  content: "Sending Enquiry...";
  background: url(/wp-content/themes/cicada/assets/img/loading.svg) !important;
}

.error p,
.success p {
  max-width: calc((var(--width-max-section) / 3) * 2);
  margin: 0 !important;
  padding: 0;
  text-align: center;
  display: inline;
}

.error p a,
.error p a:visited,
.success p a:visited,
.success p a {
  color: var(--color-white);
}
